Skip to content

# Interface: CatalogEntityData<Metadata, Status, Spec>

Common.Catalog.CatalogEntityData

## Type parameters

Name | Type
--- | ---
`Metadata` | `Metadata`: CatalogEntityMetadata = CatalogEntityMetadata
`Status` | `Status`: CatalogEntityStatus = CatalogEntityStatus
`Spec` | `Spec`: CatalogEntitySpec = CatalogEntitySpec

## Table of contents

### Properties

- metadata
- spec
- status

## Properties

### metadata

• metadata: `Metadata`

### spec

• spec: `Spec`

### status

• status: `Status`